package m05bBD;

/**
 * This class holds information about an order, 
 * which is stored in the database table <tt>m05a1t00_numeraciones</tt>. 
 * The table <tt>m0502t00_avisos</tt> is defined in the database as follows:
 * <pre>
CREATE TABLE M0502T00 ( 
  MATRIC_02      	VARCHAR2 (15)    NOT NULL,
  TEXTO_02      	VARCHAR2 (20), 
  PRIMARY KEY 		( MATRIC_02 ));
 * </pre>
 * This class follows the convention of a JavaBean.
 *
 */
public class m05bAviso
    implements java.io.Serializable{

  private String avi_matricula    = "";
  private String avi_texto        = "";
  /*Iker: Euskera*/
  private String avi_textoEusk        = "";
  public String getAvi_textoEusk() {
	return avi_textoEusk;
	}
	public void setAvi_textoEusk(String avi_textoEusk) {
		this.avi_textoEusk = avi_textoEusk;
	}
	/**/



private String avi_vehiculo     = "";
  private String avi_asignacion   = "";
  private String avi_ot           = "";
  
  public String getAvi_matricula(){return avi_matricula;} 
  public void setAvi_matricula(String n){avi_matricula = n;}
  
  public String getAvi_texto(){return avi_texto;}  
  public void setAvi_texto(String n){avi_texto = n;}
  
  public String getAvi_vehiculo(){return avi_vehiculo;}  
  public void setAvi_vehiculo(String n){avi_vehiculo = n;}

  public String getAvi_asignacion(){return avi_asignacion;}  
  public void setAvi_asignacion(String n){avi_asignacion = n;}

  public String getAvi_ot(){return avi_ot;}  
  public void setAvi_ot(String n){avi_ot = n;}
  
  
  
  public String toString(){
    String s = "";
    s += "[Matricula aviso = " + avi_matricula + "]";    
    s += "[Texto aviso = " + avi_texto + "]";
    s += "[Vehiculo aviso = " + avi_vehiculo + "]";
    s += "[Asignacion aviso = " + avi_asignacion + "]";
    s += "[OT aviso = " + avi_ot + "]";
    
    return s;
  }
 }